Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024612
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSminoralways2013-08-28 12:432013-09-17 13:14
ReporterjecharriView Statuspublic 
Assigned Toumartirena 
PrioritynormalResolutionfixedFixed in VersionRMP27
StatusclosedFix in branchFixed in SCM revision3ae6c36f9975
ProjectionnoneETAnoneTarget VersionRMP27
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024612: Little problem in Price list query

DescriptionLittle problem in Price list query

If you have a price list version with column "valid from date" as date+time the query in file "modules/org.openbravo.retail.posterminal/src/org/openbravo/retail/posterminal/POSUtils.java" and line 236 is not going to work.


Steps To Reproduce-
Proposed Solution-change from
+ priceListId + "' and pplv.validFromDate <= '" + format.format(terminalDate)
to
+ priceListId + "' and to_char(pplv.validFromDate,'yyyy-mm-dd') <= '" + format.format(terminalDate)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060958)
hgbot (developer)
2013-09-06 10:49

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 3ae6c36f9975992cea6f61d82a0f783b17a87e9c
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Fri Sep 06 10:48:00 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3ae6c36f9975992cea6f61d82a0f783b17a87e9c [^]

Fixes Issue 0024612: Little problem in Price list query

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---
(0061040)
hgbot (developer)
2013-09-10 09:59

Repository: erp/pmods/org.openbravo.retail.posterminal-levelpricing
Changeset: 3ae6c36f9975992cea6f61d82a0f783b17a87e9c
Author: Unai Martirena <unai.martirena <at> openbravo.com>
Date: Fri Sep 06 10:48:00 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/3ae6c36f9975992cea6f61d82a0f783b17a87e9c [^]

Fixes Issue 0024612: Little problem in Price list query

---
M src/org/openbravo/retail/posterminal/POSUtils.java
---

- Issue History
Date Modified Username Field Change
2013-08-28 12:43 jecharri New Issue
2013-08-28 12:43 jecharri Assigned To => marvintm
2013-08-28 12:43 jecharri Triggers an Emergency Pack => No
2013-09-03 18:49 marvintm Assigned To marvintm => umartirena
2013-09-06 10:49 hgbot Checkin
2013-09-06 10:49 hgbot Note Added: 0060958
2013-09-06 10:49 hgbot Status new => resolved
2013-09-06 10:49 hgbot Resolution open => fixed
2013-09-06 10:49 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3ae6c36f9975992cea6f61d82a0f783b17a87e9c [^]
2013-09-10 09:59 hgbot Checkin
2013-09-10 09:59 hgbot Note Added: 0061040
2013-09-10 09:59 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/3ae6c36f9975992cea6f61d82a0f783b17a87e9c [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-levelpricing/rev/3ae6c36f9975992cea6f61d82a0f783b17a87e9c [^]
2013-09-17 13:14 marvintm Review Assigned To => marvintm
2013-09-17 13:14 marvintm Status resolved => closed
2013-09-17 13:14 marvintm Fixed in Version => RMP27


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker